Package commoble.jumbofurnace.recipes

# Class RecipeSorter

java.lang.Object
net.minecraft.server.packs.resources.SimplePreparableReloadListener<Void>
commoble.jumbofurnace.recipes.RecipeSorter

All Implemented Interfaces:
  `net.minecraft.server.packs.resources.PreparableReloadListener`

public class RecipeSorter extends net.minecraft.server.packs.resources.SimplePreparableReloadListener<Void>

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraft.server.packs.resources.PreparableReloadListener

`net.minecraft.server.packs.resources.PreparableReloadListener.PreparationBarrier`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RecipeSorter`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`RecipeSorter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`apply(Void objectIn, net.minecraft.server.packs.resources.ResourceManager resourceManagerIn, net.minecraft.util.profiling.ProfilerFiller profilerIn)`
`static int`
`compareRecipes(JumboFurnaceRecipe a, JumboFurnaceRecipe b)`
`List<JumboFurnaceRecipe>`
`getSortedFurnaceRecipes(net.minecraft.world.item.crafting.RecipeManager manager)`
`protected Void`
`prepare(net.minecraft.server.packs.resources.ResourceManager resourceManagerIn, net.minecraft.util.profiling.ProfilerFiller profilerIn)`

### Methods inherited from class net.minecraft.server.packs.resources.SimplePreparableReloadListener

`reload`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.server.packs.resources.PreparableReloadListener

`getName`

## Field Details

### INSTANCE

public static final RecipeSorter INSTANCE

## Constructor Details

### RecipeSorter

public RecipeSorter()

## Method Details

### getSortedFurnaceRecipes

public List<JumboFurnaceRecipe> getSortedFurnaceRecipes(net.minecraft.world.item.crafting.RecipeManager manager)

### compareRecipes

public static int compareRecipes(JumboFurnaceRecipe a, JumboFurnaceRecipe b)

### prepare

protected Void prepare(net.minecraft.server.packs.resources.ResourceManager resourceManagerIn, net.minecraft.util.profiling.ProfilerFiller profilerIn)

Specified by:
  `prepare` in class `net.minecraft.server.packs.resources.SimplePreparableReloadListener<Void>`

### apply

protected void apply(Void objectIn, net.minecraft.server.packs.resources.ResourceManager resourceManagerIn, net.minecraft.util.profiling.ProfilerFiller profilerIn)

Specified by:
  `apply` in class `net.minecraft.server.packs.resources.SimplePreparableReloadListener<Void>`